Add Store

Allows org admins to add a store to an org.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The API allows the organisation admin to add a store to an organisation. It supports custom fields used to store additional information related to the store.

Prerequisites

  • Authentication: OAuth authentication
  • Access group resource: Read and write access to the Store resource

Example request

curl --location 'https://eu.intouch.capillarytech.com/v2/orgEntity/store' \
--header 'Content-Type: application/json' \
--header 'X-CAP-API-OAUTH-TOKEN: eyJraWQiOiJrMSIsImFsLnUORZxL6LrVfmPrEs6J5qzio0WonSOis6E_i8WVDqKYN9Wl74O4i87Lrz7O41J-kYxiSIjH2gdjbpLqQ1FXtsdsFRQ1F3o7ps0xPdkv116ElEwvD4jbao1qNQI1MrvRQY2_Q6Q9GJAEmEUZROBps3AYG1ZN54Po-HaaNunHQDSAN4Um1CX_5o8q_ujU3bwBFdUqOe6WD4nqncnmpP-rwHlZP0fd5Ujj8bNSjIL8-PX_vVqO7H8IpN2NzJokz-MA' \
--data-raw '{
    "code": "singlestoretestforcreation3",
    "description": "SingleStoreTest",
    "name": "singlestoretestforcreation3",
    "type": "STORE",
    "adminType": "GENERAL",
    "isActive": true,
    "timeZoneId": "",
    "currencyId": "",
    "languageId": "",
    "parentConceptId": "75216471",
    "parentZoneId": "75152646",
        
    "externalIds": [
        "nee11234"
    ],
    "email": "[email protected]",
    "mobile": "919686000000",
    "landline": "",
    "latitude": "",
    "longitude": "",
    "address": "",
    "cityId": 0,
    "areaId": 0
}'
{
    "code": "singlestoretestforcreation",
    "description": "SingleStoreTest",
    "name": "singlestoretestforcreation",
    "type": "STORE",
    "adminType": "GENERAL",
    "isActive": true,
    "timeZoneId": "",
    "currencyId": "",
    "languageId": "",
    "parentZoneId": 50712290,
    "parentConceptId": 50712302,
    "externalIds": [
        "Ex-93991234",
      "Ex-93991237",
      "Ex-93991235"
    ],
    "email": "[email protected]",
    "mobile": "917262178832",
    "landline": "",
    "latitude": "",
    "longitude": "",
    "address": "",
    "cityId": 0,
    "areaId": 0,
  "customFields":{
    "store_custom_field":"Single store test"
  }
}

Request body parameter

Parameter (Parameters marked with * are mandatory)DatatypeDescription
code*StringUnique store code used for identification in the Capillary system. Must start with a lowercase letter or digit, followed by any combination of lowercase letters, digits, periods, underscores, and hyphens. Note: Spaces are not allowed. Minimum length is 1 and maximum length is 50.
descriptionStringDescription of the store. Note: Maximum length is 250 characters.
name*StringName of the store. Allows uppercase and lowercase letters, numbers, underscores, and spaces. Special characters such as periods, hyphens, or other symbols are not allowed. Note: Maximum length is 100 characters.
typeEnumType of the entity you are creating. Here, the entity is STORE.
adminTypeEnumType of admin user for the store. Allowed values: GENERAL, ADMIN.
isActiveBooleanIndicates whether the store is active.
timeZoneIdIntegerUnique ID representing the timezone of the store’s geographical location. Example: 191 represents Asia/Kolkata.
currencyIdIntegerUnique ID representing the base currency of the store’s location. Example: 230 – Singapore Dollar, 211 – Australian Dollar.
languageIdIntegerUnique ID representing the language used at the store. Example: 393.
parentZoneIdIntegerUnique ID identifying the zone where the parent store is located. Use the get org entities API to fetch zones.
parentConceptIdIntegerUnique ID representing the logical group (Concept) of the store. Use the get org entities API to fetch concepts.
externalIds*ArrayList of external identifiers associated with the store.
emailStringStore email address.
mobileStringStore mobile number.
landlineStringStore landline number.
latitudeStringLatitude coordinate of the store.
longitudeStringLongitude coordinate of the store.
addressStringPhysical address of the store.
cityIdIntegerUnique ID for the city where the store is located.
areaIdIntegerUnique ID for the area where the store is located.
customFieldsArrayArray containing the custom fields and their values. These store additional information related to the store.

Response parameter

ParameterDescription
createdIdStore ID generated for the store.
warningsList of any warnings associated with the request.

{
    "createdId": 50770954,
    "warnings": []
}

API-specific error codes

Error codeDescription
1220Store code exists
1206Store name exists

Country IDs by timezone

country_idtimezonestd_offsetsummer_offset
312Europe/AndorraUTC+01:00UTC+02
4Asia/DubaiUTC+04:00NULL
308Asia/KabulUTC+04:30NULL
316America/AntiguaUTC-04:00NULL
314America/AnguillaUTC-04:00NULL
309Europe/TiraneUTC+01:00UTC+02
318Asia/YerevanUTC+04:00UTC+05
313Africa/LuandaUTC+01:00NULL
315Antarctica/McMurdoUTC+12:00UTC+13
315Antarctica/South_PoleUTC+12:00UTC+13
315Antarctica/RotheraUTC-03:00NULL
315Antarctica/PalmerUTC-04:00UTC-03
315Antarctica/MawsonUTC+06:00NULL
315Antarctica/DavisUTC+07:00NULL
315Antarctica/CaseyUTC+08:00NULL
315Antarctica/VostokUTC+00:00NULL
315Antarctica/DumontDUrvilleUTC+10:00NULL
315Antarctica/SyowaUTC+03:00NULL
317America/Argentina/Buenos_AiresUTC-03:00UTC-02
317America/Argentina/CordobaUTC-03:00UTC-02
Body Params
string
required

Unique code of the store.

string
required

Name of the store.

string

Short description about the store.

string
enum
required

Type of the store.

Allowed:
string
enum

Type of the store - normal store or admin store.

Allowed:
boolean

Pass true to activate the store, false to inactivate.

int64

Base time-zone ID of the store.

int32

Base currency ID of the store based on the store location.

int64

Unique ID of the base language associated with the store.

string

Unique ID of the associated parent zone.

externalIds
array of strings

External IDs of the store.

externalIds
string

Email Id of the store.

string

Mobile number of the store.

string
int32
string
customFields
array of strings

Array containing the custom fields and it's value. These custom fields store special or custom information related to the store.

customFields
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json